package model

import (
	"database/sql"
)

type User struct {
	Id       UUID
	Name     string
	Password []byte
}

func GetUserByName(db *sql.DB, name string) *User {
	row := db.QueryRow("SELECT Id, Name, Password FROM User WHERE Name=$1", name)
	if row == nil {
		return nil
	}

	var user User
	row.Scan(&user.Id, &user.Name, &user.Password)

	return &user
}

func GetUserById(db *sql.DB, id UUID) *User {
	row := db.QueryRow("SELECT Id, Name, Password FROM User WHERE Id=$1", id)
	if row == nil {
		return nil
	}

	var user User
	row.Scan(&user.Id, &user.Name, &user.Password)

	return &user
}
